
#ifndef __TLC59116__TLC59116_H__INCLUDED__
#define __TLC59116__TLC59116_H__INCLUDED__


#define TLC59116_PWM(dev, num)		(((dev)<<4)|(num))
#define TLC59116__________			TLC59116_PWM(15,15)

	/* フラグ */
	enum {
		TLC59116_ASYNC				=	0 << 0,						/* 非同期 */
		TLC59116_SYNC				=	1 << 0						/* 同期   */
	} ;

	/* PWM LED */
	struct tlc59116_pwm {
		char						const *p_name ;					/* 名前                   */
		u16							index ;							/* PWM データインデックス */
		u8							count ;							/* PWM データ数           */
		u8							flag ;							/* フラグ                 */
	} ;

	/* 構成 */
	struct tlc59116_config {
		int							reset ;							/* リセットポート   */
		u16							device_count ;					/* デバイス数       */
		u8							pwm_count ;						/* PWM LED 数       */
		u8							dummy ;							/* Dummy            */
		u8							const *p_addr ;					/* スレーブアドレス */
		u8							const *p_pwm_data ;				/* PWM データ       */
		struct tlc59116_pwm			const *p_pwm ;					/* PWM LED          */
	} ;


#endif/*__TLC59116__TLC59116_H__INCLUDED__*/
